<!-- =========================================================================================
    File Name: OrderBook.vue
    Description: OrderBook
========================================================================================== -->
<template>
    <div>
        <div class="order-book mb15">
          <h2 class="heading">Order Book</h2>
            <data-table
              :headers="headers"
              :items="items"
            ></data-table>
        </div>
    </div>
</template>
<script>

import DataTable from '~/components/shared/DataTable';

export default {
    name: 'OrderBook',
    components: {
      DataTable
    },
    data() {
        return {
          headers: [
            {
              key: 'Price(BTC)',
              class: '',
              width: ''             
            },
            {
              key: 'Amount(ETH)',
              class: '',
              width: ''              
            },
            {
              key: 'Total(ETH)',
              class: '',
              width: ''               
            }
          ],
          items: [
            {
              class: 'red-bg-80',
              columns: [
                {
                  class: 'red',
                  value: 0.022572
                },
                {
                  class: '',
                  value: 1.253415
                },
                {
                  class: '',
                  value: 15.27648
                }
              ]
            },
            {
              class: 'red-bg-60',
              columns: [
                {
                  class: 'green',
                  value: 0.020371
                },
                {
                  class: 'red',
                  value: 1.205415
                },
                {
                  class: '',
                  value: 15.27648
                }
              ]
            },
            {
              class: 'red-bg-40',
              columns: [
                {
                  class: 'red',
                  value: 0.020371
                },
                {
                  class: '',
                  value: 1.205415
                },
                {
                  class: '',
                  value: 15.27648
                }
              ]
            }
          ],
        }
    }
}
</script>